mconv_encode(3m17n)

NAME
mconv_encode - Encode an M-text into a byte sequence.

SYNOPSIS
int mconv_encode (MConverter * converter, MText * mt)

DESCRIPTION
Encode an M-text into a byte sequence.

The mconv_encode() function encodes M-text mt and writes the resulting byte sequence into the buffer area or the stream that is currently bound to code converter converter.

RETURN VALUE

    If the operation was successful, mconv_encode() returns the number of written bytes. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_IO, MERROR_CODING

SEE ALSO

    mconv_rebind_buffer(), mconv_rebind_stream(), mconv_decode(), mconv_encode_range()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.